.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the ScrollBar.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_ScrollBar:

ScrollBar
=========

**Inherits:** :ref:`Range<class_range>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`HScrollBar<class_hscrollbar>`, :ref:`VScrollBar<class_vscrollbar>`

**Category:** Core

Brief Description
-----------------

Base class for scroll bars.

Signals
-------

.. _class_ScrollBar_scrolling:

- **scrolling** **(** **)**


Member Variables
----------------

  .. _class_ScrollBar_custom_step:

- :ref:`float<class_float>` **custom_step**


Description
-----------

Scrollbars are a :ref:`Range<class_range>` based :ref:`Control<class_control>`, that display a draggable area (the size of the page). Horizontal (:ref:`HScrollBar<class_hscrollbar>`) and Vertical (:ref:`VScrollBar<class_vscrollbar>`) versions are available.

